From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-apps/akonadi/
Date: Sat, 12 Aug 2017 12:32:08 +0000 (UTC) [thread overview]
Message-ID: <1502541036.1253e0f0671412b16a920f9749dc2495681ad448.asturm@gentoo> (raw)
commit: 1253e0f0671412b16a920f9749dc2495681ad448
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 12 12:30:36 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 12:30:36 2017 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=1253e0f0
kde-apps/akonadi: Drop USE=sqlite, cleanup ebuild
Sync with tree.
Package-Manager: Portage-2.3.6, Repoman-2.3.3
kde-apps/akonadi/akonadi-17.08.0.ebuild | 52 +++++++++------------------
kde-apps/akonadi/akonadi-17.08.49.9999.ebuild | 47 +++++++-----------------
kde-apps/akonadi/akonadi-9999.ebuild | 47 +++++++-----------------
3 files changed, 43 insertions(+), 103 deletions(-)
diff --git a/kde-apps/akonadi/akonadi-17.08.0.ebuild b/kde-apps/akonadi/akonadi-17.08.0.ebuild
index 0994b20e33..c11ecfc98e 100644
--- a/kde-apps/akonadi/akonadi-17.08.0.ebuild
+++ b/kde-apps/akonadi/akonadi-17.08.0.ebuild
@@ -11,11 +11,12 @@ inherit kde5
DESCRIPTION="Storage service for PIM data and libraries for PIM apps"
HOMEPAGE="https://pim.kde.org/akonadi"
+
KEYWORDS="~amd64 ~arm ~x86"
LICENSE="LGPL-2.1+"
-IUSE="+mysql postgres sqlite tools xml"
+IUSE="+mysql postgres tools xml"
-REQUIRED_USE="|| ( sqlite mysql postgres ) test? ( tools )"
+REQUIRED_USE="|| ( mysql postgres ) test? ( tools )"
# drop qtgui subslot operator when QT_MINIMAL >= 5.9.0
COMMON_DEPEND="
@@ -40,7 +41,6 @@ COMMON_DEPEND="
$(add_qt_dep qtwidgets)
$(add_qt_dep qtxml)
x11-misc/shared-mime-info
- sqlite? ( dev-db/sqlite:3 )
xml? ( dev-libs/libxml2 )
"
DEPEND="${COMMON_DEPEND}
@@ -51,7 +51,10 @@ DEPEND="${COMMON_DEPEND}
RDEPEND="${COMMON_DEPEND}
!kde-apps/kdepim-l10n
!kde-apps/kdepimlibs
- mysql? ( virtual/mysql )
+ mysql? (
+ virtual/mysql
+ !>=dev-db/mariadb-10.2
+ )
postgres? ( dev-db/postgresql )
"
@@ -61,42 +64,18 @@ RESTRICT+=" test"
PATCHES=( "${FILESDIR}/${PN}-17.03.80-mysql56-crash.patch" )
pkg_setup() {
- # Set default storage backend in order: MySQL, SQLite PostgreSQL
+ # Set default storage backend in order: MySQL, PostgreSQL
# reverse driver check to keep the order
- if use postgres; then
- DRIVER="QPSQL"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- if use sqlite; then
- DRIVER="QSQLITE3"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- if use mysql; then
- DRIVER="QMYSQL"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- # Notify about MySQL is recommend by upstream
- if use sqlite || has_version "<${CATEGORY}/${P}[sqlite]"; then
- ewarn
- ewarn "We strongly recommend you change your Akonadi database backend to MySQL in your"
- ewarn "user configuration. This is the backend recommended by KDE upstream."
- ewarn "In particular, kde-apps/kmail-4.10 does not work properly with the sqlite"
- ewarn "backend anymore."
- ewarn "You can select the backend in your ~/.config/akonadi/akonadiserverrc."
- ewarn "Available drivers are:${AVAILABLE}"
- ewarn
- fi
+ use postgres && DRIVER="QPSQL"
+ use mysql && DRIVER="QMYSQL"
+ kde5_pkg_setup
}
src_configure() {
local mycmakeargs=(
- -DAKONADI_BUILD_QSQLITE=$(usex sqlite)
+ -DAKONADI_BUILD_QSQLITE=OFF
-DBUILD_TOOLS=$(usex tools)
$(cmake-utils_use_find_package xml LibXml2)
- -DKDE_INSTALL_USE_QT_SYS_PATHS=ON
)
kde5_src_configure
@@ -115,7 +94,10 @@ EOF
}
pkg_postinst() {
+ kde5_pkg_postinst
+ elog "You can select the storage backend in ~/.config/akonadi/akonadiserverrc."
+ elog "Available drivers are:"
+ use postgres && elog " QPSQL"
+ use mysql && elog " QMYSQL"
elog "${DRIVER} has been set as your default akonadi storage backend."
- elog "You can override it in your ~/.config/akonadi/akonadiserverrc."
- elog "Available drivers are: ${AVAILABLE}"
}
diff --git a/kde-apps/akonadi/akonadi-17.08.49.9999.ebuild b/kde-apps/akonadi/akonadi-17.08.49.9999.ebuild
index 0da9f2e8d0..575f051e83 100644
--- a/kde-apps/akonadi/akonadi-17.08.49.9999.ebuild
+++ b/kde-apps/akonadi/akonadi-17.08.49.9999.ebuild
@@ -11,11 +11,12 @@ inherit kde5
DESCRIPTION="Storage service for PIM data and libraries for PIM apps"
HOMEPAGE="https://pim.kde.org/akonadi"
+
KEYWORDS=""
LICENSE="LGPL-2.1+"
-IUSE="+mysql postgres sqlite tools xml"
+IUSE="+mysql postgres tools xml"
-REQUIRED_USE="|| ( sqlite mysql postgres ) test? ( tools )"
+REQUIRED_USE="|| ( mysql postgres ) test? ( tools )"
# drop qtgui subslot operator when QT_MINIMAL >= 5.9.0
COMMON_DEPEND="
@@ -40,7 +41,6 @@ COMMON_DEPEND="
$(add_qt_dep qtwidgets)
$(add_qt_dep qtxml)
x11-misc/shared-mime-info
- sqlite? ( dev-db/sqlite:3 )
xml? ( dev-libs/libxml2 )
"
DEPEND="${COMMON_DEPEND}
@@ -61,42 +61,18 @@ RESTRICT+=" test"
PATCHES=( "${FILESDIR}/${PN}-17.03.80-mysql56-crash.patch" )
pkg_setup() {
- # Set default storage backend in order: MySQL, SQLite PostgreSQL
+ # Set default storage backend in order: MySQL, PostgreSQL
# reverse driver check to keep the order
- if use postgres; then
- DRIVER="QPSQL"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- if use sqlite; then
- DRIVER="QSQLITE3"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- if use mysql; then
- DRIVER="QMYSQL"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- # Notify about MySQL is recommend by upstream
- if use sqlite || has_version "<${CATEGORY}/${P}[sqlite]"; then
- ewarn
- ewarn "We strongly recommend you change your Akonadi database backend to MySQL in your"
- ewarn "user configuration. This is the backend recommended by KDE upstream."
- ewarn "In particular, kde-apps/kmail-4.10 does not work properly with the sqlite"
- ewarn "backend anymore."
- ewarn "You can select the backend in your ~/.config/akonadi/akonadiserverrc."
- ewarn "Available drivers are:${AVAILABLE}"
- ewarn
- fi
+ use postgres && DRIVER="QPSQL"
+ use mysql && DRIVER="QMYSQL"
+ kde5_pkg_setup
}
src_configure() {
local mycmakeargs=(
- -DAKONADI_BUILD_QSQLITE=$(usex sqlite)
+ -DAKONADI_BUILD_QSQLITE=OFF
-DBUILD_TOOLS=$(usex tools)
$(cmake-utils_use_find_package xml LibXml2)
- -DKDE_INSTALL_USE_QT_SYS_PATHS=ON
)
kde5_src_configure
@@ -115,7 +91,10 @@ EOF
}
pkg_postinst() {
+ kde5_pkg_postinst
+ elog "You can select the storage backend in ~/.config/akonadi/akonadiserverrc."
+ elog "Available drivers are:"
+ use postgres && elog " QPSQL"
+ use mysql && elog " QMYSQL"
elog "${DRIVER} has been set as your default akonadi storage backend."
- elog "You can override it in your ~/.config/akonadi/akonadiserverrc."
- elog "Available drivers are: ${AVAILABLE}"
}
diff --git a/kde-apps/akonadi/akonadi-9999.ebuild b/kde-apps/akonadi/akonadi-9999.ebuild
index 0da9f2e8d0..575f051e83 100644
--- a/kde-apps/akonadi/akonadi-9999.ebuild
+++ b/kde-apps/akonadi/akonadi-9999.ebuild
@@ -11,11 +11,12 @@ inherit kde5
DESCRIPTION="Storage service for PIM data and libraries for PIM apps"
HOMEPAGE="https://pim.kde.org/akonadi"
+
KEYWORDS=""
LICENSE="LGPL-2.1+"
-IUSE="+mysql postgres sqlite tools xml"
+IUSE="+mysql postgres tools xml"
-REQUIRED_USE="|| ( sqlite mysql postgres ) test? ( tools )"
+REQUIRED_USE="|| ( mysql postgres ) test? ( tools )"
# drop qtgui subslot operator when QT_MINIMAL >= 5.9.0
COMMON_DEPEND="
@@ -40,7 +41,6 @@ COMMON_DEPEND="
$(add_qt_dep qtwidgets)
$(add_qt_dep qtxml)
x11-misc/shared-mime-info
- sqlite? ( dev-db/sqlite:3 )
xml? ( dev-libs/libxml2 )
"
DEPEND="${COMMON_DEPEND}
@@ -61,42 +61,18 @@ RESTRICT+=" test"
PATCHES=( "${FILESDIR}/${PN}-17.03.80-mysql56-crash.patch" )
pkg_setup() {
- # Set default storage backend in order: MySQL, SQLite PostgreSQL
+ # Set default storage backend in order: MySQL, PostgreSQL
# reverse driver check to keep the order
- if use postgres; then
- DRIVER="QPSQL"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- if use sqlite; then
- DRIVER="QSQLITE3"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- if use mysql; then
- DRIVER="QMYSQL"
- AVAILABLE+=" ${DRIVER}"
- fi
-
- # Notify about MySQL is recommend by upstream
- if use sqlite || has_version "<${CATEGORY}/${P}[sqlite]"; then
- ewarn
- ewarn "We strongly recommend you change your Akonadi database backend to MySQL in your"
- ewarn "user configuration. This is the backend recommended by KDE upstream."
- ewarn "In particular, kde-apps/kmail-4.10 does not work properly with the sqlite"
- ewarn "backend anymore."
- ewarn "You can select the backend in your ~/.config/akonadi/akonadiserverrc."
- ewarn "Available drivers are:${AVAILABLE}"
- ewarn
- fi
+ use postgres && DRIVER="QPSQL"
+ use mysql && DRIVER="QMYSQL"
+ kde5_pkg_setup
}
src_configure() {
local mycmakeargs=(
- -DAKONADI_BUILD_QSQLITE=$(usex sqlite)
+ -DAKONADI_BUILD_QSQLITE=OFF
-DBUILD_TOOLS=$(usex tools)
$(cmake-utils_use_find_package xml LibXml2)
- -DKDE_INSTALL_USE_QT_SYS_PATHS=ON
)
kde5_src_configure
@@ -115,7 +91,10 @@ EOF
}
pkg_postinst() {
+ kde5_pkg_postinst
+ elog "You can select the storage backend in ~/.config/akonadi/akonadiserverrc."
+ elog "Available drivers are:"
+ use postgres && elog " QPSQL"
+ use mysql && elog " QMYSQL"
elog "${DRIVER} has been set as your default akonadi storage backend."
- elog "You can override it in your ~/.config/akonadi/akonadiserverrc."
- elog "Available drivers are: ${AVAILABLE}"
}
next reply other threads:[~2017-08-12 12:32 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-08-12 12:32 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-09 17:34 [gentoo-commits] proj/kde:master commit in: kde-apps/akonadi/ Andreas Sturmlechner
2024-10-04 21:55 Andreas Sturmlechner
2024-07-01 19:10 Andreas Sturmlechner
2024-05-17 19:50 Andreas Sturmlechner
2023-12-19 22:00 Andreas Sturmlechner
2023-12-19 12:34 Andreas Sturmlechner
2023-12-18 21:30 Andreas Sturmlechner
2023-08-06 20:39 Andreas Sturmlechner
2021-11-15 10:59 Andreas Sturmlechner
2021-02-16 22:48 Andreas Sturmlechner
2021-02-15 14:39 Andreas Sturmlechner
2021-02-04 13:16 Andreas Sturmlechner
2020-12-25 21:51 Andreas Sturmlechner
2020-10-10 21:39 Andreas Sturmlechner
2020-09-28 21:26 Andreas Sturmlechner
2020-02-23 14:57 Andreas Sturmlechner
2019-12-12 18:22 Andreas Sturmlechner
2019-11-25 0:21 Andreas Sturmlechner
2019-09-11 8:09 Andreas Sturmlechner
2019-07-27 14:05 Andreas Sturmlechner
2019-07-24 11:32 Andreas Sturmlechner
2019-01-10 8:43 Andreas Sturmlechner
2017-11-14 21:20 Andreas Sturmlechner
2017-10-30 10:32 Andreas Sturmlechner
2017-10-09 19:17 Andreas Sturmlechner
2017-09-25 15:50 Andreas Sturmlechner
2017-09-22 16:08 Andreas Sturmlechner
2017-09-06 21:39 Andreas Sturmlechner
2017-08-26 13:04 Michael Palimaka
2017-08-17 12:24 Andreas Sturmlechner
2016-10-30 12:56 Johannes Huber
2016-09-07 8:57 Michael Palimaka
2016-06-23 11:54 Michael Palimaka
2016-06-17 10:25 Michael Palimaka
2016-06-05 18:59 Michael Palimaka
2015-10-31 14:49 Michael Palimaka
2015-10-02 19:15 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1502541036.1253e0f0671412b16a920f9749dc2495681ad448.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox